Bug 1124820 - [abrt] graphviz: clip_and_install(): dot killed by SIGSEGV
Summary: [abrt] graphviz: clip_and_install(): dot killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: graphviz
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:21ef560d656c7e32401b2f54570...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 11:58 UTC by Michael Jørgensen
Modified: 2015-06-29 21:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:51:04 UTC


Attachments (Terms of Use)
File: backtrace (48.97 KB, text/plain)
2014-07-30 11:58 UTC, Michael Jørgensen
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-30 11:58 UTC, Michael Jørgensen
no flags Details
File: core_backtrace (1.91 KB, text/plain)
2014-07-30 11:58 UTC, Michael Jørgensen
no flags Details
File: dso_list (5.31 KB, text/plain)
2014-07-30 11:58 UTC, Michael Jørgensen
no flags Details
File: environ (2.83 KB, text/plain)
2014-07-30 11:58 UTC, Michael Jørgensen
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-30 11:58 UTC, Michael Jørgensen
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-30 11:58 UTC, Michael Jørgensen
no flags Details
File: maps (30.80 KB, text/plain)
2014-07-30 11:58 UTC, Michael Jørgensen
no flags Details
File: open_fds (216 bytes, text/plain)
2014-07-30 11:58 UTC, Michael Jørgensen
no flags Details
File: output.dot (42.44 KB, text/plain)
2014-07-30 11:59 UTC, Michael Jørgensen
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2014-07-30 11:59 UTC, Michael Jørgensen
no flags Details
File: var_log_messages (329 bytes, text/plain)
2014-07-30 11:59 UTC, Michael Jørgensen
no flags Details

Description Michael Jørgensen 2014-07-30 11:58:45 UTC
Description of problem:
I have generated a output.dot file using ruby-prof, then tried to convert it to pdf.

Version-Release number of selected component:
graphviz-2.34.0-8.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        dot -T pdf -o output.pdf output.dot
crash_function: clip_and_install
executable:     /usr/bin/dot
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 clip_and_install at splines.c:284
 #1 make_flat_labeled_edge at dotsplines.c:1552
 #2 make_flat_edge at dotsplines.c:1683
 #3 _dot_splines at dotsplines.c:471
 #4 dot_splines at dotsplines.c:542
 #5 out at dotinit.c:368
 #6 gvLayoutJobs at gvlayout.c:90

Comment 1 Michael Jørgensen 2014-07-30 11:58:49 UTC
Created attachment 922510 [details]
File: backtrace

Comment 2 Michael Jørgensen 2014-07-30 11:58:50 UTC
Created attachment 922511 [details]
File: cgroup

Comment 3 Michael Jørgensen 2014-07-30 11:58:51 UTC
Created attachment 922512 [details]
File: core_backtrace

Comment 4 Michael Jørgensen 2014-07-30 11:58:52 UTC
Created attachment 922513 [details]
File: dso_list

Comment 5 Michael Jørgensen 2014-07-30 11:58:54 UTC
Created attachment 922514 [details]
File: environ

Comment 6 Michael Jørgensen 2014-07-30 11:58:55 UTC
Created attachment 922515 [details]
File: exploitable

Comment 7 Michael Jørgensen 2014-07-30 11:58:56 UTC
Created attachment 922516 [details]
File: limits

Comment 8 Michael Jørgensen 2014-07-30 11:58:58 UTC
Created attachment 922517 [details]
File: maps

Comment 9 Michael Jørgensen 2014-07-30 11:58:59 UTC
Created attachment 922518 [details]
File: open_fds

Comment 10 Michael Jørgensen 2014-07-30 11:59:01 UTC
Created attachment 922519 [details]
File: output.dot

Comment 11 Michael Jørgensen 2014-07-30 11:59:02 UTC
Created attachment 922520 [details]
File: proc_pid_status

Comment 12 Michael Jørgensen 2014-07-30 11:59:03 UTC
Created attachment 922521 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2015-05-29 12:31:02 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 21:51:04 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.